/* トップ */

:root {
  --top-content-max-width: 900px;
  --top-content-width: calc(100% - 150px);
}

@media screen and (max-width: 800px) {
  :root {
    --top-content-width: 85%;
  }
}

.top {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 50px;
  margin-top: 25px;
}

.top-keyvisual {
  align-items: center;
  display: flex;
  height: 50vw;
  justify-content: center;
  position: relative;
  width: 100%;
}

.top-keyvisual > img {
  position: absolute;
  width: 100%;
}

.top-keyvisual > .top-animatedLogo {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  height: 45vw;
}

@media screen and (max-width: 600px) {
  .top-keyvisual {
    height: 400px;
    width: 100%;
  }

  .top-keyvisual > img {
    display: none;
  }

  .top-keyvisual > .top-animatedLogo {
    height: 400px;
  }
}

.top-introductions {
  align-items: center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.top-introduction {
  align-items: flex-start;
  background-color: white;
  box-sizing: border-box;
  display: flex;
  font-family: 'NotoSerifJP', serif;
  max-width: var(--top-content-max-width);
  padding: 60px 40px;
  gap: 40px 20px;
  width: var(--top-content-width);
}

.top-introduction-content {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  gap: 40px 0;
}

.top-introduction-title {
  color: #d59b0a;
  font-size: 140%;
  font-weight: bold;
}

.top-introduction img {
  height: auto;
  width: 250px;
}

@media screen and (max-width: 800px) {
  .top-introduction {
    flex-direction: column;
    text-align: center;
  }

  .top-introduction:last-child {
    flex-direction: column-reverse;
  }

  .top-introduction-content {
    align-items: center;
  }

  .top-introduction img {
    width: 100%;
  }
}

.top-categories {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  width: var(--top-content-width);
}

.top-category {
  color: inherit;
  display: flex;
  flex-direction: column;
  gap: 5px;
  text-decoration: none;
  width: 250px;
}

.top-category-image {
  aspect-ratio: 1.7;
  border-radius: var(--border-radius);
  object-fit: cover;
  width: 100%;
}

.top-category-title {
  font-size: 90%;
  font-weight: bold;
  text-align: center;
  word-break: break-all;
}

.top-event {
  align-items: center;
  background-color: #fcfaf4;
  display: flex;
  flex-direction: column;
  gap: 50px;
  padding: 50px 0;
  width: 100%;
}

.top-eventPanel {
  align-items: flex-start;
  background-color: white;
  box-sizing: border-box;
  display: flex;
  gap: 30px;
  justify-content: center;
  max-width: var(--top-content-max-width);
  padding: 30px;
  width: var(--top-content-width);
}

.top-eventPanel-content {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  gap: 20px 0;
}

.top-eventPanel-thumbnail {
  height: auto;
  width: 300px;
}

.top-eventPanel-title {
  font-size: 150%;
  font-weight: bold;
}

.top-eventPanel-description {
  border: 1px solid black;
  padding: 10px;
}

.top-eventPanel-caption {
  font-size: 90%;
}

@media screen and (max-width: 800px) {
  .top-eventPanel {
    align-items: center;
    flex-direction: column;
  }
  
  .top-eventPanel-content {
    align-items: center;
  }

  .top-eventPanel-thumbnail {
    width: 100%;
  }
}

.top-news {
  display: flex;
  gap: 25px;
  max-width: var(--top-content-max-width);
  width: var(--top-content-width);
}

.top-news-left {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 20px 0;
}

.top-news-title-img {
  height: auto;
  width: 150px;
}

.top-news-content {
  display: flex;
  flex: 1;
  flex-direction: column;
  gap: 15px 0;
}

.top-news-list {
  box-shadow: 0 0 8px 0px #dbbe73;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  gap: 20px 0;
  padding: 20px;
}

.top-news-list-item {
  display: flex;
}

.top-news-list-item-date {
  font-size: 90%;
  font-weight: bold;
  width: 80px;
}

.top-news-list-item-title {
  color: inherit;
  font-weight: bold;
}

.top-news-link {
  color: #d59b0a;
  font-weight: bold;
  text-decoration: none;
}

@media screen and (max-width: 800px) {
  .top-news {
    flex-direction: column;
  }

  .top-news-list-item {
    flex-direction: column;
  }
}

.top-bottom {
  display: flex;
  max-width: 800px;
}

/* コラボ情報 */

.collab {
  display: flex;
  flex-direction: column;
  gap: 50px 0;
}

.collab-contents {
  display: flex;
  gap: 20px;
}

@media screen and (max-width: 800px) {
  .collab-contents {
    flex-direction: column;
  }
}

.collab-contents-inner {
  align-items: center;
  display: flex;
  flex: 1;
  flex-direction: column;
  gap: 20px 0;
}

.collab-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px 18px;
  width: 100%;
}

.collab-list-item {
  display: flex;
  cursor: pointer;
  flex-direction: column;
  gap: 3px 0;
}

@media screen and (max-width: 800px) {
  .collab-list-item {
    width: calc(100% / 2 - 9px);
  }
}

@media screen and (min-width: 800px) and (max-width: 1200px) {
  .collab-list-item {
    width: calc(100% / 3 - 12px);
  }
}

@media screen and (min-width: 1200px) {
  .collab-list-item {
    width: calc(100% / 4 - 14px);
  }
}

.collab-list-item-img {
  aspect-ratio: calc(3 / 2);
  border: 1px solid #adadad;
  border-radius: 4px;
  object-fit: cover;
  width: 100%;
}

.collab-list-item-details {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 0 5px;
}

.collab-list-item-details-date {
  font-size: 80%;
  line-height: 2em;
}

.collab-list-item-details-category {
  background-color: #d59b0a;
  color: white;
  padding: 0 7px;
  border-radius: 100px;
  font-size: 75%;
  line-height: 2em;
}

.collab-list-item-title {
  font-size: 95%;
  font-weight: bold;
  line-height: 1.5em;
}

.collab-genres {
  background-color: white;
  border: 1px solid #c0aa65;
  display: flex;
  flex-direction: column;
  width: 200px;
}

.collab-genres-sp-wrapper .collab-genres {
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}

.collab-genre-item {
  align-items: center;
  border: 1px solid #c0aa65;
  box-sizing: border-box;
  cursor: pointer;
  display: flex;
  font-size: 95%;
  font-weight: bold;
  height: 50px;
  justify-content: center;
  line-height: 1.3em;
  padding: 0 10px;
  text-align: center;
}

.collab-genres-sp-wrapper .collab-genre-item {
  width: calc(100% / 2);
}

.collab-genre-item-sp {
  display: none;
}

.collab-genres-sp-wrapper .collab-genre-item-sp {
  display: flex;
}

.collab-genre-item-selected {
  background-color: #c0aa65;
  border: 1px solid #c0aa65;
  color: white;
}

.collab-pagination {
  display: flex;
  gap: 0 10px;
  justify-content: center;
}

.collab-pagination-item {
  align-items: center;
  border: 2px solid #d59b0a;
  border-radius: 100px;
  color: #d59b0a;
  cursor: pointer;
  display: flex;
  font-size: 120%;
  font-weight: bold;
  height: 40px;
  justify-content: center;
  width: 40px;
}

.collab-pagination-item-selected {
  background-color: #d59b0a;
  color: white;
}

/* わたしたちについて */

.aboutus {
  display: flex;
  flex-direction: column;
  gap: 80px;
}

.aboutus-summary {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 50px 0;
}

.aboutus-summary-img {
  width: 60%;
}

@media screen and (max-width: 600px) {
  .aboutus-summary-img {
    width: 100%;
  }
}

.aboutus-summary-description {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 20px 0;
}

.aboutus-summary-description-title {
  font-family: NotoSerifJP, serif;
  font-size: 130%;
  font-weight: bold;
}

.aboutus-details {
  align-items: center;
  border-top: 1px solid #555555;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  max-width: 100%;
  width: 600px;
}

.aboutus-detail-item {
  border-bottom: 1px solid #555555;
  box-sizing: border-box;
  display: flex;
  gap: 0 20px;
  padding: 15px 80px;
  width: 100%;
}

.aboutus-detail-item-title {
  font-weight: bold;
  text-align: center;
  width: 125px;
}

.aboutus-detail-item-content {
  flex: 1;
}

.aboutus-history {
  display: flex;
  flex-direction: column;
  gap: 5px 0;
  width: 100%;
}

.aboutus-history dl {
  display: flex;
  margin: 0;
  width: 100%;
}

.aboutus-history dt {
  color: #d59b0a;
  min-width: 6.5em;
  width: 6.5em;
}

.aboutus-history dd {
  margin: 0;
}

.aboutus-columnbox {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 20px 0;
}

@media screen and (max-width: 600px) {
  .aboutus-detail-item {
    padding: 15px 10px;
  }

  .aboutus-detail-item-title {
    width: 90px;
  }

  .aboutus-history {
    gap: 13px 0;
  }

  .aboutus-history dl {
    flex-direction: column;
  }
}

/* お店の予約 */

.reservation {
  display: flex;
  flex-direction: column;
  gap: 40px 0;
}

.reservation-selection {
  background-color: #f2f2f2;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  gap: 5px 0;
  margin: 0 auto;
  padding: 15px;
  width: 400px;
}

@media screen and (max-width: 600px) {
  .reservation-selection {
    width: calc(95% - 20px);
  }
}

.reservation-selection-title {
  font-weight: bold;
}

.reservation-selection-selectbox {
  background-color: white;
  border: none;
  outline: none;
  padding: 10px 5px;
}

.reservation-button {
  border: 1px solid black;
  border-radius: 3px;
  margin: 0 auto;
  padding: 5px 0;
  text-align: center;
  transition: background-color 300ms ease-in-out;
  width: 150px;
}

.reservation-button:active {
  background-color: #e4ebf1;
}

/* アクセス */

.access {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 40px 0;
}

.access-item {
  display: flex;
  flex-direction: column;
  gap: 15px 0;
  width: 80%;
}

.access-item-title {
  border-left: 8px solid #c0aa65;
  font-size: 120%;
  font-weight: bold;
  padding-left: 8px;
}

.access-item-details {
  display: flex;
  flex-direction: column;
  gap: 3px 0;
  margin: 0;
}

.access-item-details div {
  display: flex;
  gap: 0 5px;
}

.access-item-details div dt {
  width: 90px;
}

.access-item-details div dd {
  margin: 0;
}

/* お問い合わせ */

.contact {
  display: flex;
  justify-content: center;
  width: 100%;
}

.contact iframe {
  background-color: #f2f7e5;
  border-radius: 8px;
  max-width: 800px;
  width: 100%;
}
